
//{"rawtext":[{"translate":"tbu.teleport.teleported_to_waypoint", "with":["' + waypoint.name + '"]}]}

export default function translate(textName, args = undefined) {
  // Return following the RawMessage format
  let rawMessage = {};
  rawMessage.translate = textName;

  if (args)
    rawMessage.with = args.map((arg) => arg.toString());

  return rawMessage;
}

export function translateRawText(textName, args) {
  if (args) {
    let argsStr = args.reduce((prev, curr) => {
      if (!prev) prev = ""
      
      return prev + `"${curr}",`
    });
    argsStr = argsStr.slice(0, -1); // Get rid of the extra comma

    return `{"rawtext":[{"translate":"${textName}", "with":[${argsStr}]}]}`
  }

  return `{"rawtext":[{"translate":"${textName}"}]}`
}